Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.TableCellData Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | TableCellData ()
| Constructor.
def | TableCellData (data)
| Constructor, with another table cell data object. More...
def | Set (cell_text_style, cell_fill_color, cell_text, cell_image, cell_margin)
| Set value. More...

## Static Public Attributes
| cell_fill_color = _fsdk.TableCellData_cell_fill_color
| The fill color of cell. Format: 0xAARRGGBB.
| cell_image = _fsdk.TableCellData_cell_image
| The image content of cell. More...
| cell_margin = _fsdk.TableCellData_cell_margin
| The cell margin between the content and cell border. More...
| cell_text = _fsdk.TableCellData_cell_text
| The text content of cell. More...
| cell_text_style = _fsdk.TableCellData_cell_text_style
| The style of cell text.

## Detailed Description

This class represents table cell data.

## Constructor & Destructor Documentation

## ◆ TableCellData()

def FoxitPDFSDKPython2.TableCellData.TableCellData | ( |  | data | ) |

Constructor, with another table cell data object.

Parameters

  [in] | data | Another table cell data object, whose value would be assigned to current object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.TableCellData.Set | ( |  | cell_text_style,
|  |  | cell_fill_color,
|  |  | cell_text,
|  |  | cell_image,
|  |  | cell_margin
| ) |  |

Set value.

Parameters

  [in] | cell_text_style | The style of cell text.
  [in] | cell_fill_color | The fill color of cell. Format: 0xAARRGGBB.
  [in] | cell_text | The text content of cell.
  [in] | cell_image | The image content of cell.
  [in] | cell_margin | The cell margin.

Returns
  None.

## Member Data Documentation

## ◆ cell_image

FoxitPDFSDKPython2.TableCellData.cell_image = _fsdk.TableCellData_cell_image
| static

The image content of cell.

Note
  Currently, it is not supported for text and image to exist in the same cell. For merged cells, their contents is text or image which is set in the first merged cell.

## ◆ cell_margin

FoxitPDFSDKPython2.TableCellData.cell_margin = _fsdk.TableCellData_cell_margin
| static

The cell margin between the content and cell border.

Note
  This value does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of a table cell. The value should not be negative and should not be bigger than the cell's height or width.

## ◆ cell_text

FoxitPDFSDKPython2.TableCellData.cell_text = _fsdk.TableCellData_cell_text
| static

The text content of cell.

Note
  Currently, it is not supported for text and image to exist in the same cell. For merged cells, their contents is text or image which is set in the first merged cell.